Package org.eclipse.lemminx.extensions.contentmodel.participants

## Interface IRelatedInfoFinder

All Known Implementing Classes:
  `AggregateRelatedInfoFinder`, `XMLSyntaxRelatedInfoFinder`

    public interface IRelatedInfoFinder

Provides an interface to find related info for a given error

### Method Summary

All Methods Instance Methods Abstract Methods
`List<org.eclipse.lsp4j.DiagnosticRelatedInformation>` `findRelatedInformation​(int offset, String errorKey, DOMDocument document)` Returns a list of related information

### Method Detail

#### findRelatedInformation

    List<org.eclipse.lsp4j.DiagnosticRelatedInformation> findRelatedInformation​(int offset,
                                                                                String errorKey,
                                                                                DOMDocument document)

Returns a list of related information

Parameters:
  `offset` - The LemMinX reported error start offset
  `errorKey` - The error key
  `document` - The document
Returns:
  a list of related information